Upgrade from 1.1.1 to 1.2.4

Get help from other users here.

Moderators: Developer, Contributor

plass.rom
Posts: 14
Joined: Apr 08, 2011 5:45 am

Upgrade from 1.1.1 to 1.2.4

Post by plass.rom » Apr 11, 2011 2:55 am

Hi, I'm trying to upgrade my mantis from 1.1.1 to 1.2.4. My upgrade checks are OK but when I lauche the Install/Upgrade database, then I got several APPLICATION ERROR #401, including this one for example.

APPLICATION ERROR #401

Database query failed. Error received from database was #1146: Table 'bugtracker-test.mantis_category_table' doesn't exist for the query: INSERT INTO mantis_category_table ( name, project_id, user_id ) VALUES ( ?, ?, ? ).

Please use the "Back" button in your web browser to return to the previous page. There you can correct whatever problems were identified in this error or select another action. You can also click an option from the menu bar to go directly to a new section.


Or


APPLICATION ERROR #401
Échec de la requête de base de données. L'erreur renvoyée par la base de données était #1054 : Unknown column 'priority' in 'field list' pour la requête : SELECT basename, priority, protected FROM mantis_plugin_table WHERE enabled=? ORDER BY priority DESC.

Merci d'utiliser le bouton « Précédent » de votre navigateur web pour retourner à la page précédente. Vous pourrez y corriger les problèmes identifiés par cette erreur ou choisir une autre action. Vous pouvez aussi choisir une option de la barre de menu pour aller directement dans une nouvelle section.


Have you any clue of what causes this error ?

Thanks.

cor3huis
Posts: 21
Joined: Jan 15, 2010 4:24 pm

Re: Upgrade from 1.1.1 to 1.2.4

Post by cor3huis » Apr 12, 2011 4:34 am

The config_inc.php changed drastically and is not fully backwards compatible. Best is to first set up 1.2.4 separate and get it working, then port over the config values of the 1.1.1 to 1.2.4 config by hand. I know this will take some time but in the end save you a lot of time, I've been there...

plass.rom
Posts: 14
Joined: Apr 08, 2011 5:45 am

Re: Upgrade from 1.1.1 to 1.2.4

Post by plass.rom » Apr 19, 2011 4:11 am

I managed to upgrade to 1.1.8 but when I try to upgrade to 1.2.3 or 1.2.4 I got this error

CREATE TABLE mantis_plugin_table ( basename VARCHAR(40) NOT NULL, enabled TINYINT NOT NULL DEFAULT '0', PRIMARY KEY (basename) )ENGINE=MyISAM DEFAULT CHARSET=utf8

If I drop the plugin table and let him create it, its Ok but then I got this error :

BAD
CREATE TABLE mantis_category_table ( id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT, project_id INTEGER UNSIGNED NOT NULL DEFAULT 0, user_id INTEGER UNSIGNED NOT NULL DEFAULT 0, name VARCHAR(128) NOT NULL DEFAULT '', status INTEGER UNSIGNED NOT NULL DEFAULT 0, PRIMARY KEY (id) )ENGINE=MyISAM DEFAULT CHARSET=utf8
Table 'mantis_category_table' already exists

I'm just surprised to be the only one to get this upgrade problem, some other people must have,at least, upgraded mantis from 1.1.8 to 1.2.0.

atrol
Site Admin
Posts: 7663
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Upgrade from 1.1.1 to 1.2.4

Post by atrol » Apr 19, 2011 5:24 am

plass.rom,
did you follow the steps described in file doc/INSTALL of your 1.2.4 download?
Please use Search before posting and read the Manual

plass.rom
Posts: 14
Joined: Apr 08, 2011 5:45 am

Re: Upgrade from 1.1.1 to 1.2.4

Post by plass.rom » Apr 19, 2011 5:44 am

Yes I did.

I moved the mantisbt.1.2.4 to my web directory, then I copied the config_inc.php and custom_strings_inc.php from the previous directory and ran the install.php page. And here I am.

I don-t know if it's related but I saw that mantis tables should be in utf8 so I manually changed them. The check.php give me those errors :

Checking Non-null Column Collation in mantis_bug_file_table is utf8 for title....
latin1_swedish_ci ( varchar(250))

atrol
Site Admin
Posts: 7663
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Upgrade from 1.1.1 to 1.2.4

Post by atrol » Apr 19, 2011 6:49 am

Please use Search before posting and read the Manual

plass.rom
Posts: 14
Joined: Apr 08, 2011 5:45 am

Re: Upgrade from 1.1.1 to 1.2.4

Post by plass.rom » Apr 19, 2011 7:08 am

Thanks I already saw those topics, but even if I tried all the solutions, nothing is working.

I tried to drop the plugins tables which seemed to cause the problems but I now have this error :

PPLICATION ERROR #401
Échec de la requête de base de données. L'erreur renvoyée par la base de données était #1146 : Table 'mantis-test3.mantis_category_table' doesn't exist pour la requête : INSERT INTO mantis_category_table ( name, project_id, user_id ) VALUES ( ?, ?, ? ).

Merci d'utiliser le bouton « Précédent » de votre navigateur web pour retourner à la page précédente. Vous pourrez y corriger les problèmes identifiés par cette erreur ou choisir une autre action. Vous pouvez aussi choisir une option de la barre de menu pour aller directement dans une nouvelle section.

atrol
Site Admin
Posts: 7663
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Upgrade from 1.1.1 to 1.2.4

Post by atrol » Apr 19, 2011 8:11 am

IMO you should restore your database to 1.1.8 and have a look at mantis_config_table before starting any upgrade process

Code: Select all

select value from mantis_config_table where config_id = 'database_version';
Please use Search before posting and read the Manual

plass.rom
Posts: 14
Joined: Apr 08, 2011 5:45 am

Re: Upgrade from 1.1.1 to 1.2.4

Post by plass.rom » Apr 19, 2011 8:17 am

I made a backup as I'm doing my tests on another server, I'm trying all the possible solutions.

The version of my working database in 1.1.8 with plugins is the 70th.

atrol
Site Admin
Posts: 7663
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Upgrade from 1.1.1 to 1.2.4

Post by atrol » Apr 19, 2011 8:33 am

The value of a standard installation should be 63.
I have no idea how this can be 70.
Of course this is one of your problems when upgrading.

You are talking about plugins.
Do you mean http://deboutv.free.fr/mantis ?
If so, you should be aware that this 3rd party plugin system is not compatible with version 1.2.x of MantisBT
Please use Search before posting and read the Manual

plass.rom
Posts: 14
Joined: Apr 08, 2011 5:45 am

Re: Upgrade from 1.1.1 to 1.2.4

Post by plass.rom » Apr 19, 2011 9:24 am

Ok, I checked the dump I used as backup and it's in version 70. I don't what happended, as the actual server is in 1.1.1 and the version is the 63. I tried so many things that it's possible that I corrupted the dump I used.
I'll try tomorrow to use the dump of tonight and will keep you informed.
Thanks again.

plass.rom
Posts: 14
Joined: Apr 08, 2011 5:45 am

Re: Upgrade from 1.1.1 to 1.2.4

Post by plass.rom » Apr 20, 2011 1:36 am

Hi,

I re-imported a clean dump with version 63 and I still have the issue. I use the cong_inc.php of my 1.1.1 version.
First I have the error :

BAD
CREATE TABLE mantis_category_table ( id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT, project_id INTEGER UNSIGNED NOT NULL DEFAULT 0, user_id INTEGER UNSIGNED NOT NULL DEFAULT 0, name VARCHAR(128) NOT NULL DEFAULT '', status INTEGER UNSIGNED NOT NULL DEFAULT 0, PRIMARY KEY (id) )ENGINE=MyISAM DEFAULT CHARSET=utf8
Table 'mantis_category_table' already exists

If I drop the mantis_category_table so that the script create it again, it crash with this error :

Échec de la requête de base de données. L'erreur renvoyée par la base de données était #1062 : Duplicate entry '114-Demande de développement' for key 2 pour la requête : INSERT INTO mantis_category_table ( name, project_id, user_id ) VALUES ( ?, ?, ? ).

And now the database version is the 70th.

atrol
Site Admin
Posts: 7663
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Upgrade from 1.1.1 to 1.2.4

Post by atrol » Apr 20, 2011 5:30 am

Did you try also 1.2.5?
Maybe this is causing your problem
http://www.mantisbt.org/bugs/view.php?id=12735
Please use Search before posting and read the Manual

plass.rom
Posts: 14
Joined: Apr 08, 2011 5:45 am

Re: Upgrade from 1.1.1 to 1.2.4

Post by plass.rom » Apr 20, 2011 7:08 am

I just tried with the 1.2.5 and same problem occurs.

atrol
Site Admin
Posts: 7663
Joined: Mar 26, 2008 4:37 pm
Location: Germany

Re: Upgrade from 1.1.1 to 1.2.4

Post by atrol » Apr 20, 2011 8:25 am

A clean dump of version 1.1.1 and value 63 for database_version does not contain the table mantis_category_table.
But the error message says that there is one.
I have no idea at the moment how this can happen.
Please use Search before posting and read the Manual

Post Reply